enum PusherConfigType {
    AnPush = 1,
    Email
}

struct PusherConfig {
    1: i64 id
    2: i64 createdAt
    3: PusherConfigType type
    4: required string name
    5: string remark
    6: required string option
}

struct FormItem {
    1: string param
    2: string type
    3: bool require
}

struct AnPush {
    1: string token
    2: string channel
}

struct EmailPush {
    1: string from
    2: string to
    3: string username
    4: string password
    5: string host
    6: i32 port
}