package service

import (
	"context"
	"gitea.timerzz.com/kedaya_haitao/pusher/biz/dal/postgres"
	config "gitea.timerzz.com/kedaya_haitao/pusher/kitex_gen/config"
	push "gitea.timerzz.com/kedaya_haitao/pusher/kitex_gen/push"
)

type AddService struct {
	ctx context.Context
} // NewAddService new AddService
func NewAddService(ctx context.Context) *AddService {
	return &AddService{ctx: ctx}
}

// Run create note info
func (s *AddService) Run(req *config.PusherConfig) (resp *push.Resp, err error) {
	// Finish your business logic.
	resp = push.NewResp()
	err = postgres.DB.Create(req).Error
	if err != nil {
		resp.Code = 100
		resp.Msg = err.Error()
	}
	return
}
